What version of Minecraft is the mod compatible with?

The Creatubbles Mod is compatible with:

Minecraft 1.9/1.10 users:

  • Download the 1.9/1.10 version of Creatubbles Minecraft Mod
  • Launch Minecraft and click on ‘Mods’ to open a window with list of available mods.
  • Open the mods folder and copy there the *.jar file downloaded from the link above.

MinecraftEDU 1.7 users:

  • Download the 1.7 version of the Creatubbles Minecraft Mod
  • Launch the MinecraftEdu Launcher and click on ‘Mods’ to open a window with list of available mods.
  • Open the mods folder and copy there the *.jar file downloaded from the link above.
  • Do the same for the server mods tab
  • Make sure the mod are selected to make it available either for server and client usage. If you manage also the MinecraftEdu server:
  • Follow the same steps above for the server mods tab
  • Make sure the mod is selected to make it available either for server and client usage

If you have any questions about downloading the Creatubbles Mod, please contact us at support@creatubbles.com.